Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members Related Pages

# cgicc::HTMLAttribute Class Reference

Class representing a name or a single name/value pair. More...

`#include <cgicc/HTMLAttribute.h>`

Inheritance diagram for cgicc::HTMLAttribute::

List of all members.

## Public Methods
virtual void | render (std::ostream &out) const
| Render this attribute to an ostream. More...
Constructors and Destructor
| HTMLAttribute ()
| Create an empty HTMLAttribute. More...
| HTMLAttribute (const std::string &name)
| Create an HTMLAttribute with the given name. More...
| HTMLAttribute (const std::string &name, const std::string &value)
| Create an HTMLAttribute with the given name and value. More...
| HTMLAttribute (const HTMLAttribute &attribute)
| Copy constructor. More...
virtual | ~HTMLAttribute ()
| Destructor. More...
Overloaded Operators
bool | operator== (const HTMLAttribute &att) const
| Compare two HTMLAttributes for equality. More...
bool | operator!= (const HTMLAttribute &att) const
| Compare two HTMLAttributes for inequality. More...
HTMLAttribute & | operator= (const HTMLAttribute &att)
| Assign one HTMLAttribute to another. More...
Accessor Methods
Information on the attribute
std::string | getName () const
| Get the name of this HTMLAttribute. More...
std::string | getValue () const
| Get the value of this HTMLAttribute. More...
Mutator Methods
Set properties of the attribute
void | setName (const std::string &name)
| Set the name of this HTMLAttribute. More...
void | setValue (const std::string &value)
| Set the value of this HTMLAttribute. More...

## Detailed Description

Class representing a name or a single name/value pair.

An HTMLAttribute represents a single name/value pair inside an HTMLElement. For example, in the HTML code:

     <a href="mailto:sbooth@gnu.org">Send mail</a>

The (name, value) pair `(href, mailto:sbooth@gnu.org)` is an HTMLAttribute. HTMLAttribute objects are usually not created directly, but using the set() methods. To generate the HTML above using cgicc, write

     cout << cgicc::a("Send Mail").set("href", "mailto:sbooth@gnu.org");

See also:
  HTMLAttributeList

Definition at line 69 of file HTMLAttribute.h.

## Constructor & Destructor Documentation

cgicc::HTMLAttribute::HTMLAttribute | ( |  | ) |

| Create an empty HTMLAttribute. The name and value are set to an empty string.

cgicc::HTMLAttribute::HTMLAttribute | ( | const std::string & | name | ) |

  | Create an HTMLAttribute with the given name. This will simply set the name and value to the same value. Parameters:
  name | The name of the attribute.

cgicc::HTMLAttribute::HTMLAttribute | ( | const std::string & | name,
|  | const std::string & | value
| ) |

  | Create an HTMLAttribute with the given name and value. Most attributes are of this form Parameters:
  name | The attribute's name, for example `href`
  value | The attributes's alue, for exampe `foo.html`

cgicc::HTMLAttribute::HTMLAttribute | ( | const HTMLAttribute & | attribute | ) |

  | Copy constructor. Sets the name of value of this attribute to those of `attribute` Parameters:
  attribute | The HTMLAttribute to copy.

virtual cgicc::HTMLAttribute::~HTMLAttribute | ( |  | ) | `[virtual]`

| Destructor. Delete this HTMLAttribute object

## Member Function Documentation

std:: string cgicc::HTMLAttribute::getName | ( |  | ) | const`[inline]`

| Get the name of this HTMLAttribute. For example, `HREF` Returns: The attribute's name. Definition at line 177 of file HTMLAttribute.h.

std:: string cgicc::HTMLAttribute::getValue | ( |  | ) | const`[inline]`

| Get the value of this HTMLAttribute. For example, `http://www.gnu.org` Returns: The attribute's value. Definition at line 187 of file HTMLAttribute.h.

bool cgicc::HTMLAttribute::operator!= | ( | const HTMLAttribute & | att | ) | const`[inline]`

  | Compare two HTMLAttributes for inequality. HTMLAttributes are equal if they have the same name and value. Parameters:
  att | The HTMLAttribute to compare to this one.
Returns: `false` if the two HTMLAttributes are equal, `true` otherwise. Definition at line 142 of file HTMLAttribute.h.

HTMLAttribute& cgicc::HTMLAttribute::operator= | ( | const HTMLAttribute & | att | ) |

  | Assign one HTMLAttribute to another. Sets the name of value of this attribute to those of `att` Parameters:
  att | The HTMLAttribute to copy.
Returns: A reference to this.

bool cgicc::HTMLAttribute::operator== | ( | const HTMLAttribute & | att | ) | const

  | Compare two HTMLAttributes for equality. HTMLAttributes are equal if they have the same name and value. Parameters:
  att | The HTMLAttribute to compare to this one.
Returns: `true` if the two HTMLAttributes are equal, `false` otherwise.

virtual void cgicc::HTMLAttribute::render | ( | std::ostream & | out | ) | const`[virtual]`

  | Render this attribute to an ostream. This is used for output purposes Parameters:
  out | The ostream to which to write
Reimplemented from cgicc::MStreamable.

void cgicc::HTMLAttribute::setName | ( | const std::string & | name | ) | `[inline]`

  | Set the name of this HTMLAttribute. Use this method if the name wasn't specified in the constructor Parameters:
  name | The new name of the attribute.
Definition at line 205 of file HTMLAttribute.h.

void cgicc::HTMLAttribute::setValue | ( | const std::string & | value | ) | `[inline]`

  | Set the value of this HTMLAttribute. Use this method if the value wasn't specified in the constructor Parameters:
  value | The new value of the attribute.
Definition at line 215 of file HTMLAttribute.h.

The documentation for this class was generated from the following file:

- HTMLAttribute.h